Bug 150146 - [PATCH] net/igmpproxy: fix rc script
Summary: [PATCH] net/igmpproxy: fix rc script
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-31 13:30 UTC by Florian Smeets
Modified: 2010-10-31 14:50 UTC (History)
1 user (show)

See Also:


Attachments
igmpproxy-0.1_1,1.patch (1.51 KB, patch)
2010-08-31 13:30 UTC, Florian Smeets
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets 2010-08-31 13:30:05 UTC
- as of version 0.1 one needs to specify the config file on the command line
- igmpproxy does not daemonize itself so use /usr/sbin/daemon to start it
- little cleanups based on mailinglist feedback by doubg for other rc scripts
  - add shutdown KEYWORD
  - set default variables after load_rc_config

Port maintainer (melifaro@ipfw.ru) is cc'd.

Generated with FreeBSD Port Tools 0.99
Comment 1 Edwin Groothuis freebsd_committer 2010-08-31 13:30:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2010-08-31 13:30:24 UTC
Maintainer of net/igmpproxy,

Please note that PR ports/150146 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/150146

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2010-08-31 13:30:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Martin Wilke freebsd_committer 2010-09-11 13:15:25 UTC
Responsible Changed
From-To: miwi->freebsd-ports-bugs

back to pool.
Comment 5 Rene Ladan freebsd_committer 2010-10-29 13:27:10 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

Grab
Comment 6 dfilter service freebsd_committer 2010-10-31 14:47:35 UTC
rene        2010-10-31 14:47:29 UTC

  FreeBSD ports repository

  Modified files:
    net/igmpproxy        Makefile 
    net/igmpproxy/files  igmpproxy.in 
  Added files:
    net/igmpproxy        pkg-plist 
  Log:
  - Do not delete the configuration file on deinstall if it was modified [1]
  - For the rc script: [2]
    - use /usr/sbin/daemon to start the rc script because igmpproxy does not
      daemonize itself
    - add shutdown keyword
    - cleanups
  - Bump PORTREVISION [2]
  PR:             ports/149547 [1], ports/150146 [2]
  Submitted by:   Florian Smeets [flo kasimir.com] [1] [2]
  Approved by:    maintainer timeout (11 weeks [1], 8 weeks [2])
  
  Revision  Changes    Path
  1.5       +1 -4      ports/net/igmpproxy/Makefile
  1.3       +12 -3     ports/net/igmpproxy/files/igmpproxy.in
  1.1       +4 -0      ports/net/igmpproxy/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Rene Ladan freebsd_committer 2010-10-31 14:48:04 UTC
State Changed
From-To: feedback->closed

Committed, thanks